Groovy 1.7.0

## groovy.util
Class ObjectGraphBuilder.ReflectionClassNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

All Implemented Interfaces:
  ClassNameResolver

    class ObjectGraphBuilder.ReflectionClassNameResolver

Build objects using reflection to resolve class names.

Constructor Summary
`ObjectGraphBuilder.ReflectionClassNameResolver(String root)`

Method Summary
`String` | `resolveClassname(String classname)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ObjectGraphBuilder.ReflectionClassNameResolver

    public ObjectGraphBuilder.ReflectionClassNameResolver(String root)

  param:
    root package where the graph root class is located

Method Detail

### resolveClassname

    public String resolveClassname(String classname)

Copyright © 2003-2009 The Codehaus. All rights reserved.